aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-publisher
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-publisher')
-rw-r--r--dev-python/zope-publisher/zope-publisher-6.1.0.ebuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild b/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
index b738fff..db25df1 100644
--- a/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
+++ b/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
@@ -43,7 +43,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -64,7 +64,7 @@ python_compile_all() {
}
python_test() {
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
distutils_write_namespace zope
- eunittest
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}